#This is a file containing input parameters to the JVT H.264/AVC decoder.
#The text line following each parameter is discarded by the decoder.
#
#For bug reporting and known issues see:
#https://ipbt.hhi.de
#
# New Input File Format is as follows
# <ParameterName> = <ParameterValue> # Comment
#
##########################################################################################
# Files
##########################################################################################
InputFile            = "left.h264"       # H.264/AVC coded bitstream
InputFile2            = "right.h264"       # H.264/AVC coded bitstream
OutputFile            = "test_dec.yuv"   # Output file, YUV/RGB
RefFile               = "test_rec.yuv"   # Ref sequence (for SNR)
WriteUV               = 1                # Write 4:2:0 chroma components for monochrome streams
WriteStreams          = 1               # Write streams [0,1,-1-both]
FileFormat            = 0                # NAL mode (0=Annex B, 1: RTP packets)
RefOffset             = 0                # SNR computation offset
POCScale              = 1                # Poc Scale (1 or 2)
##########################################################################################
# HRD parameters
##########################################################################################
#R_decoder             = 500000           # Rate_Decoder
#B_decoder             = 104000           # B_decoder
#F_decoder             = 73000            # F_decoder
#LeakyBucketParamFile  = "leakybucketparam.cfg" # LeakyBucket Params
##########################################################################################
# decoder control parameters
##########################################################################################
DisplayDecParams      = 1                # 1: Display parameters; 
ConcealMode           = 0                # Err Concealment(0:Off,1:Frame Copy,2:Motion Copy)
RefPOCGap             = 2                # Reference POC gap (2: IPP (Default), 4: IbP / IpP)
POCGap                = 2                # POC gap (2: IPP /IbP/IpP (Default), 4: IPP with frame skip = 1 etc.)
Silent                = 0                # Silent decode
IntraProfileDeblocking = 1               # Enable Deblocking filter in intra only profiles (0=disable, 1=filter according to SPS parameters)
DecFrmNum             = 0                # Number of frames to be decoded (-n)
##########################################################################################
# 3D decoding parameters
##########################################################################################
DecodeAllLayers       = 1                 # -mpr decode all layers;
#Mux3DMethod           = -1                # -mux 
#DemuxMetaFile         = ""                # -mta
#ExportViews           = 0                 # -exp Export views (3D)
#PostProcess3DMethod   = 0                 # -3d Postprocessmethod (3D)

